// Verify the fix for issue 0181.
class Test
{
public:
   typedef Allocator<Property*> allocator_type;
   typedef Allocator<Association*> allocator_type1;
   Test( const allocator_type& x = Allocator<Property*>() ) : m_val(0) {}
   Test( const allocator_type1& x = allocator_type1() ) : m_val(0) {}
   explicit Test(const char* n) : m_val(0) {}
private:
   int m_val;
};
